[arch-commits] Commit in nautilus/trunk (PKGBUILD nautilus-condrestart.patch)

Jan de Groot jgc at archlinux.org
Mon Apr 13 14:34:32 EDT 2009


    Date: Monday, April 13, 2009 @ 14:34:31
  Author: jgc
Revision: 35473

upgpkg: nautilus 2.26.2-1
    Make autorestart conditional

Added:
  nautilus/trunk/nautilus-condrestart.patch
Modified:
  nautilus/trunk/PKGBUILD

----------------------------+
 PKGBUILD                   |   10 ++++++----
 nautilus-condrestart.patch |   16 ++++++++++++++++
 2 files changed, 22 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-13 18:32:11 UTC (rev 35472)
+++ PKGBUILD	2009-04-13 18:34:31 UTC (rev 35473)
@@ -2,22 +2,24 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=nautilus
-pkgver=2.26.1
+pkgver=2.26.2
 pkgrel=1
 pkgdesc="The GNOME shell and file manager"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('libbeagle>=0.3.5.1' 'libtracker>=0.6.6' 'libexif>=0.6.16' 'exempi>=2.1.0' 'gnome-icon-theme>=2.26.0' 'desktop-file-utils' 'gvfs>=1.2.1' 'libunique>=1.0.8' 'gnome-desktop>=2.26.0')
+depends=('libbeagle>=0.3.9' 'libtracker>=0.6.6' 'libexif>=0.6.16' 'exempi>=2.1.0' 'gnome-icon-theme>=2.26.0' 'desktop-file-utils' 'gvfs>=1.2.2' 'libunique>=1.0.8' 'gnome-desktop>=2.26.0')
 makedepends=('pkgconfig' 'intltool')
 url="http://www.gnome.org"
 groups=('gnome')
 options=('!libtool' '!emptydirs')
 install=nautilus.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.26/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('5d75f5de2806e9003e36a4613866b8d1')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.26/${pkgname}-${pkgver}.tar.bz2
+	nautilus-condrestart.patch)
+md5sums=('6b9292ed9dde8b5f86a3b6df1422d5f8' '44742925ea8d83196ba50e398545c257')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
+  patch -Np1 -i "${srcdir}/nautilus-condrestart.patch" || return 1
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
 	      --disable-update-mimedb || return 1

Added: nautilus-condrestart.patch
===================================================================
--- nautilus-condrestart.patch	                        (rev 0)
+++ nautilus-condrestart.patch	2009-04-13 18:34:31 UTC (rev 35473)
@@ -0,0 +1,16 @@
+diff -up nautilus-2.25.93/nautilus.desktop.in.condrestart nautilus-2.25.93/nautilus.desktop.in
+--- nautilus-2.25.93/nautilus.desktop.in.condrestart	2009-03-12 10:49:41.449753624 -0400
++++ nautilus-2.25.93/nautilus.desktop.in	2009-03-12 10:49:51.814754208 -0400
+@@ -17,3 +17,4 @@ X-GNOME-Autostart-Phase=Desktop
+ X-GNOME-Autostart-Notify=true
+ X-GNOME-AutoRestart=true
+ X-GNOME-Provides=filemanager
++AutostartCondition=GNOME /apps/nautilus/preferences/show_desktop
+diff -up nautilus-2.25.93/nautilus.desktop.in.in.condrestart nautilus-2.25.93/nautilus.desktop.in.in
+--- nautilus-2.25.93/nautilus.desktop.in.in.condrestart	2009-03-12 10:47:41.681753834 -0400
++++ nautilus-2.25.93/nautilus.desktop.in.in	2009-03-12 10:49:29.663754303 -0400
+@@ -17,3 +17,4 @@ X-GNOME-Autostart-Phase=Desktop
+ X-GNOME-Autostart-Notify=true
+ X-GNOME-AutoRestart=true
+ X-GNOME-Provides=filemanager
++AutostartCondition=GNOME /apps/nautilus/preferences/show_desktop



More information about the arch-commits mailing list